Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 240692 - sys-devel/gcc-4.3.2 fails to install: package collision
Summary: sys-devel/gcc-4.3.2 fails to install: package collision
Status: RESOLVED DUPLICATE of bug 216241
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: [OLD] Core system (show other bugs)
Hardware: All Linux
: High normal (vote)
Assignee: Gentoo Toolchain Maintainers
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2008-10-09 13:57 UTC by Andrey Vul
Modified: 2008-10-10 15:21 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Andrey Vul 2008-10-09 13:57:14 UTC
sys-devel/gcc-4.3.2 fails to install due to a file collision with sys-devel/gcc-4.2.4 with regards to /usr/lib64/security/classpath.
This *might* be amd64- (or multilib-) only, because on my x86 machine, gcc-4.3.2 compiles with the same USE flags.

Reproducible: Always

Steps to Reproduce:
1.emerge =sys-devel/gcc-4.3.2
2.
3.

Actual Results:  
See summary.

Expected Results:  
It should have installed cleanly.
Comment 1 Jeroen Roovers gentoo-dev 2008-10-09 15:56:08 UTC
1) Please post your `emerge --info' too.
2) Hint: Don't use the developer profile, or alternatively do not set FEATURES=stricter.
3) Please attach the build log or a relevant part of it.
Comment 2 Andrey Vul 2008-10-09 16:00:02 UTC
emerge --info:
Portage 2.2_rc11 (default/linux/amd64/2008.0, gcc-4.2.4, glibc-2.8_p20080602-r0, 2.6.26.5-rt9 x86_64)
=================================================================                                    
System uname: Linux-2.6.26.5-rt9-x86_64-AMD_Turion-tm-_64_Mobile_Technology_ML-34-with-glibc2.2.5    
Timestamp of tree: Tue, 07 Oct 2008 23:30:01 +0000                                                   
app-shells/bash:     3.2_p39                                                                         
dev-java/java-config: 1.3.7, 2.1.6-r1                                                                
dev-lang/python:     2.4.4-r13, 2.5.2-r8                                                             
dev-python/pycrypto: 2.0.1-r6                                                                        
sys-apps/baselayout: 2.0.0                                                                           
sys-apps/openrc:     0.3.0                                                                           
sys-apps/sandbox:    1.2.18.1-r3                                                                     
sys-devel/autoconf:  2.13, 2.63                                                                      
sys-devel/automake:  1.5, 1.7.9-r1, 1.8.5-r3, 1.9.6-r2, 1.10.1-r1                                    
sys-devel/binutils:  2.18-r3                                                                         
sys-devel/gcc-config: 1.4.0-r4                                                                       
sys-devel/libtool:   2.2.6a                                                                          
virtual/os-headers:  2.6.26                                                                          
ACCEPT_KEYWORDS="amd64 ~amd64"                                                                       
CBUILD="x86_64-pc-linux-gnu"                                                                         
CFLAGS="-O2 -pipe -march=k8 -mtune=k8 -msse3"                                                        
CHOST="x86_64-pc-linux-gnu"                                                                          
CONFIG_PROTECT="/etc /usr/env /usr/kde/3.5/env /usr/kde/3.5/share/config /usr/kde/3.5/shutdown /usr/share/config /usr/shutdown /var/lib/hsqldb"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/env.d /etc/env.d/java/ /etc/fonts/fonts.conf /etc/gconf /etc/gentoo-release /etc/revdep-rebuild /etc/terminfo /etc/texmf/web2c /etc/udev/rules.d"                                                                                                         
CXXFLAGS="-O2 -pipe -march=k8 -mtune=k8 -msse3"                                                                                                        
DISTDIR="/usr/portage/distfiles"                                                                                                                       
FEATURES="distlocks metadata-transfer parallel-fetch preserve-libs protect-owned sandbox sfperms strict unmerge-orphans userfetch"                     
GENTOO_MIRRORS="http://adelie.polymtl.ca/ http://mirror.datapipe.net/gentoo http://gentoo.cites.uiuc.edu/pub/gentoo/ http://gentoo.netnitco.net http://mirror.csclub.uwaterloo.ca/gentoo-distfiles/ http://gentoo.osuosl.org/ http://cdot.senecac.on.ca/software/gentoo/ ftp://gentoo.cites.uiuc.edu/pub/gentoo/ http://gentoo.mirrors.tds.net/gentoo http://gentoo.arcticnetwork.ca/source/ http://gentoo.mirrors.tera-byte.com/ http://mirror.usu.edu/mirrors/gentoo/ http://osmirrors.cerias.purdue.edu/pub/gentoo/ http://lug.mtu.edu/gentoo/ http://mirror.mcs.anl.gov/pub/gentoo/"                                    
LDFLAGS="-Wl,-O1"                                                                                                                                      
LINGUAS="en en_US ja ru"                                                                                                                               
PKGDIR="/usr/portage/packages"                                                                                                                         
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --compress --force --whole-file --delete --stats --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages"                                                                                                                
PORTAGE_TMPDIR="/var/tmp"                                                                                                                              
PORTDIR="/usr/portage"
PORTDIR_OVERLAY="/usr/local/portage/layman/pro-audio /usr/local/portage/layman/desktop-effects /usr/local/portage/layman/sunrise /usr/local/portage/layman/java-gcj-overlay"
SYNC="rsync://rsync.gentoo.org/gentoo-portage"
USE="3dnow 3dnowext 3ds 64bit 7zip S3TC X Xaw3d a52 aac aalib acct ace acl acpi aften allegro alsa amarok amd64 amr amrnb amrwb animgif antlr ao apache2 archive arts audiofile avahi bash-completion battery bcmath bcp bdf berkdb bidi binary-drivers bittorrent bjam blas blender-game boost bsf bzip2 c++cairo canna caps cardbus cdda cddb cdio cdparanoia cdr cdrom cdsound cgi cgraph charconv chardet chasen chm cjk cli clucene color-console colordiff cpufreq cracklib crypt cscope css cups cupsddk curl curlwrappers cvs cxx dbus dc1394 designer-plugin device-mapper dga dia directfb divx djbfft djvu dmi dri dssi dts dv dvd dvdr dvdread dvi dynamicplugin ecc emovix enca encode enscript erandom esd evo exif exiv2 expat extra extras fam fame fastcgi fat fbcon ffmpeg fftw firefox flac flash flexresp flexresp2 fltk fluidsynth fontconfig fontforge foomaticdb fortran ftp fuse games gcj gd gdbm gecko geoip gif gimp ginac git glib glibc-omitfp glitz glsa glut gmail gmedia gmp gnuplot gnutls gpac gpg gphoto2 gpm gps grammar graphics graphviz grub gs gsl gstreamer gtk guile hal hddtemp hdri hfs history htmlhandbook hunspell iconv id3 id3tag idea idn ieee1394 image imagemagick imlib inkjar inquisitio int64 ipv6 irc jabber jack jack-tmpfs java java6 javascript jbig jce jfs jingle john jpeg jpeg2k kakasi kde kde4 kdehiddenvisibility kerberos kmid ladspa lamelapack laptop lash latex lcms ldap libcaca libdsk libsamplerate libsexy libssh2 libtommath libwww lm_sensors loop-aes lua lzo m17n-lib mad math matroska mbrola midi migemo mikmod ming mjpeg mktemp mmap mmkeys mmx mmxext mng modplug mono moonlight mp2 mp3 mp4 mpeg mplayer mpu401 msn mudflap multilib musepack music musicbrainz mysql mythtv na_dd nas nat ncurses netpbm network networking networkmanager new-reg-alloc nls nowin nptl nptlonly nsplugin ntfs numarray numeric octave odbc offensive ogg ogg123 openal opendoc openexr opengl openmp oss ots pam parse-clocks patch pcmcia pcntl pcre pdf perl picpink pixmaps plasma plotutils png pnm posix postscript povray ppds pyste python q32 qemu qt3 qt3support qt4 quicktime rar raw rdesktop readline realmedia recode reflection regex reiserfs restrict restrict-javascript rle rss rtc rtsp rubberband samba sasl scanfolder scanner script sdl sdl-image sdlaudio search semantic-desktop sensord session slang slit sndfile snmp soap sockets sound sox speex spell spl sqlite sqlite3 srt sse sse2 ssl subtitles subversion suid svg svgz svnserve sysfs syslog sysvipc szip t1lib taglib tagwriting tcl tcltk tcpd texteffect themes theora thesaurus threads threadsafe tidy tiff timerinfo timestats timidity tk tomsfastmath toolbar tools transcode translator truetype ttxtsubs tunepimp tv tv_check tv_combiner tv_pick_cgitwolame type1 ucs2 unicode upnp usb v4l v4l2 valgrind vamp vcd vcdx vdr verse vga videos vim vim-pager vim-syntax vim-with-x visibility visualization vlm vnc vorbis vorbis-psy wav wavpack webdav-neon webdav-serf wifi wma wmf wmp wordperfect wxwindows x264 xanim xattr xcb xchatdccserver xcomposite xfce xfs xine xinerama xml xorg xosd xpm xrender xscreensaver xulrunner xv xvid xvmc yv12 zip zlib zsh-completion" ALSA_CARDS="atiixp atiixp-modem" ALSA_PCM_PLUGINS="adpcm alaw asym copy dmix dshare dsnoop empty extplug file hooks iec958 ioplug               ladspa lfloat linear meter mulaw multi null plug rate route share shm softvol" APACHE2_MODULES="actions alias asis auth_basic auth_digest authn_alias authn_dbd authn_default authn_dbm authn_file   authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache dbd deflate            dir disk_cache expires ext_filter file_cache filter headers include info log_config log_forensic logio                 mem_cache mime mime_magic negotiation proxy proxy_ftp proxy_http rewrite setenvif speling status unique_id             userdir usertrack vhost_alias" APACHE2_MPMS="worker" ELIBC="glibc" INPUT_DEVICES="keyboard mouse synaptics" KERNEL="linux" LCD_DEVICES="graphlcd ncurses png ppm text" LINGUAS="en en_US ja ru" USERLAND="GNU" VIDEO_CARDS="radeon vesa v4l vmware"
Unset:  CPPFLAGS, CTARGET, EMERGE_DEFAULT_OPTS, FFLAGS, INSTALL_MASK, LANG, LC_ALL, MAKEOPTS, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS

In addition, the "detected file collisions" portion is not in temp/build.log
The relevant part of the problem is mentioned in the summary.
Comment 3 Andrey Vul 2008-10-09 16:50:56 UTC
When I have 3-4 consecutive hours of free time, I will do the following and post the output:
$sudo emerge =sys-devel/gcc-4.3.2 &>/dev/stdout | tee elog
How many lines is enough (i.e. with what value should I invoke tail with)?
Comment 4 Jeroen Roovers gentoo-dev 2008-10-09 18:11:48 UTC
(In reply to comment #3)
> $sudo emerge =sys-devel/gcc-4.3.2 &>/dev/stdout | tee elog

setting PORT_LOGDIR to a path writeable to the portage group should be enough to invoke emerge's built-in logging facility.

> How many lines is enough (i.e. with what value should I invoke tail with)?

Just let it write the log and attach it to this bug report. It probably mentions a sandbox log that you could simply post in a comment.
Comment 5 Andrey Vul 2008-10-10 14:07:45 UTC
tail -100 of the aforementioned log:
   /usr/lib/gcc/x86_64-pc-linux-gnu/4.3.2/libmudflap.a
   /usr/lib/gcc/x86_64-pc-linux-gnu/4.3.2/libmudflapth.a
   /usr/lib/gcc/x86_64-pc-linux-gnu/4.3.2/libstdc++.a   
   /usr/lib/gcc/x86_64-pc-linux-gnu/4.3.2/libstdc++_pic.a
   /usr/lib/gcc/x86_64-pc-linux-gnu/4.3.2/libsupc++.a    
strip: x86_64-pc-linux-gnu-strip --strip-unneeded -R .comment
   /usr/libexec/gcc/x86_64-pc-linux-gnu/4.3.2/cc1            
   /usr/libexec/gcc/x86_64-pc-linux-gnu/4.3.2/cc1plus        
   /usr/libexec/gcc/x86_64-pc-linux-gnu/4.3.2/collect2       
   /usr/libexec/gcc/x86_64-pc-linux-gnu/4.3.2/ecj1           
   /usr/libexec/gcc/x86_64-pc-linux-gnu/4.3.2/f951           
   /usr/libexec/gcc/x86_64-pc-linux-gnu/4.3.2/jc1            
   /usr/libexec/gcc/x86_64-pc-linux-gnu/4.3.2/jvgenmain      
   /usr/libexec/gcc/x86_64-pc-linux-gnu/4.3.2/tree1          
>>> Completed installing gcc-4.3.2 into /var/tmp/portage/sys-devel/gcc-4.3.2/image/                                                                             

 * QA Notice: command not found:
 *                              
 *      checking dynamic linker characteristics... /var/tmp/portage/sys-devel/gcc-4.3.2/work/gcc-4.3.2/libjava/libltdl/configure: line 15299: -m32: command not found                                                                           
ecompressdir: bzip2 -9 /usr/share/gcc-data/x86_64-pc-linux-gnu/4.3.2/info       
ecompressdir: bzip2 -9 /usr/share/gcc-data/x86_64-pc-linux-gnu/4.3.2/man        

 * QA Notice: Package has poor programming practices which may compile
 * fine but exhibit random runtime failures.                          
 * /var/tmp/portage/sys-devel/gcc-4.3.2/work/gcc-4.3.2/libjava/classpath/native/fdlibm/dtoa.c:913: warning: incompatible implicit declaration of built-in function 'free'                                                                       
 * /var/tmp/portage/sys-devel/gcc-4.3.2/work/gcc-4.3.2/libjava/classpath/native/fdlibm/dtoa.c:918: warning: incompatible implicit declaration of built-in function 'free'                                                                       

 * Please do not file a Gentoo bug and instead report the above QA
 * issues directly to the upstream developers of this software.   
 * Homepage: http://gcc.gnu.org/                                  

>>> Installing sys-devel/gcc-4.3.2
* checking 4737 files for package collisions
1000 files checked ...                      
2000 files checked ...                      
3000 files checked ...                      
4000 files checked ...                      
 * This package will overwrite one or more files that may belong to other
 * packages (see list below). You can use a command such as `portageq    
 * owners / <filename>` to identify the installed package that owns a    
 * file. If portageq reports that only one package owns a file then do   
 * NOT file a bug report. A bug report is only useful if it identifies at
 * least two or more packages that are known to install the same file(s).
 * If a collision occurs and you can not explain where the file came from
 * then you should simply ignore the collision since there is not enough 
 * information to determine if a real problem exists. Please do NOT file 
 * a bug report at http://bugs.gentoo.org unless you report exactly which
 * two packages install the same file(s). Once again, please do NOT file 
 * a bug report unless you have completely understood the above message. 
 *                                                                       
 * Detected file collision(s):                                           
 *                                                                       
 *      /usr/lib64/security/classpath.security                           
 *                                                                       
 * Searching all installed packages for file collisions...               
 *                                                                       
 * Press Ctrl-C to Stop                                                  
 *                                                                       
 * sys-devel/gcc-4.2.4                                                   
 *      /usr/lib64/security/classpath.security                           
 *                                                                       
 * Package 'sys-devel/gcc-4.3.2' NOT merged due to file collisions. If   
 * necessary, refer to your elog messages for the whole content of the   
 * above message.                                                        

>>> Failed to install sys-devel/gcc-4.3.2, Log file:

>>>  '/var/tmp/portage/sys-devel/gcc-4.3.2/temp/build.log'

 * Messages for package sys-devel/gcc-4.3.2:
 * This package will overwrite one or more files that may belong to other
 * packages (see list below). You can use a command such as `portageq
 * owners / <filename>` to identify the installed package that owns a
 * file. If portageq reports that only one package owns a file then do
 * NOT file a bug report. A bug report is only useful if it identifies at
 * least two or more packages that are known to install the same file(s).
 * If a collision occurs and you can not explain where the file came from
 * then you should simply ignore the collision since there is not enough
 * information to determine if a real problem exists. Please do NOT file
 * a bug report at http://bugs.gentoo.org unless you report exactly which
 * two packages install the same file(s). Once again, please do NOT file
 * a bug report unless you have completely understood the above message.
 *
 * Detected file collision(s):
 *
 *      /usr/lib64/security/classpath.security
 *
 * Searching all installed packages for file collisions...
 *
 * Press Ctrl-C to Stop
 *
 * sys-devel/gcc-4.2.4
 *      /usr/lib64/security/classpath.security
 *
 * Package 'sys-devel/gcc-4.3.2' NOT merged due to file collisions. If
 * necessary, refer to your elog messages for the whole content of the
 * above message.


 * GNU info directory index is up-to-date.
Comment 6 Mark Loeser (RETIRED) gentoo-dev 2008-10-10 15:21:35 UTC

*** This bug has been marked as a duplicate of bug 216241 ***